### Type parameters

- #### T

### Hierarchy

- DeepCopy<Page<T>>
  - Page

## Index

### Constructors

- constructor

### Properties

- content
- first
- last
- number
- numberOfElements
- pageable
- size
- total
- totalElements
- totalPages

### Methods

- copy
- deepCopyFromJson
- fromJson

## Constructors

### constructor

- new Page(total: number, content: Array<T>, pageable: Pageable, numberOfElements: number, first: boolean, last: boolean, number: number, size: number, totalPages: number, totalElements: number): Page

- - Defined in repository/models/Page.ts:53

  #### Parameters

  - ##### total: number

  - ##### content: Array<T>

  - ##### pageable: Pageable

  - ##### numberOfElements: number

  - ##### first: boolean

  - ##### last: boolean

  - ##### number: number

  - ##### size: number

  - ##### totalPages: number

  - ##### totalElements: number

  #### Returns Page

## Properties

### content

content: Array<T>

- Defined in repository/models/Page.ts:19

### first

first: boolean

- Defined in repository/models/Page.ts:22

### last

last: boolean

- Defined in repository/models/Page.ts:23

### number

number: number

- Defined in repository/models/Page.ts:24

### numberOfElements

numberOfElements: number

- Defined in repository/models/Page.ts:21

### pageable

pageable: Pageable

- Defined in repository/models/Page.ts:20

### size

size: number

- Defined in repository/models/Page.ts:25

### total

total: number

- Defined in repository/models/Page.ts:18

### totalElements

totalElements: number

- Defined in repository/models/Page.ts:27

### totalPages

totalPages: number

- Defined in repository/models/Page.ts:26

## Methods

### copy

- copy(changeArgs?: JsonObject<Page<T>>): Page<T>

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:7

  #### Parameters

  - ##### Optional changeArgs: JsonObject<Page<T>>

  #### Returns Page<T>

### Protected deepCopyFromJson

- deepCopyFromJson(): Page<T>

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/Page.ts:81

  #### Returns Page<T>

### Static fromJson

- fromJson<T>(json: object, Creator: object): Page<T>

- - Defined in repository/models/Page.ts:30

  #### Type parameters

  - #### T

  #### Parameters

  - ##### json: object

  - ##### Creator: object

    - ##### constructor: function

      - new __type(): T
      - - Defined in repository/models/Page.ts:30

        #### Returns T

  #### Returns Page<T>

Generated using TypeDoc